Package ch.qos.logback.classic.util

# Class ContextSelectorStaticBinder

java.lang.Object
ch.qos.logback.classic.util.ContextSelectorStaticBinder

public class ContextSelectorStaticBinder extends Object
Holds the context selector for use in the current environment.

Since:
  0.9.19
Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`ContextSelectorStaticBinder()`

## Method Summary

Modifier and Type
Method
Description
`ContextSelector`
`getContextSelector()`
`static ContextSelectorStaticBinder`
`getSingleton()`
`void`
`init(LoggerContext defaultLoggerContext, Object key)`
FOR INTERNAL USE.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextSelectorStaticBinder

public ContextSelectorStaticBinder()

## Method Details

### getSingleton

public static ContextSelectorStaticBinder getSingleton()

### init

public void init(LoggerContext defaultLoggerContext, Object key) throws ClassNotFoundException, NoSuchMethodException, InstantiationException, IllegalAccessException, InvocationTargetException
FOR INTERNAL USE. This method is intended for use by StaticLoggerBinder.

Parameters:
  `defaultLoggerContext` -
Throws:
  `ClassNotFoundException`
  `NoSuchMethodException`
  `InstantiationException`
  `IllegalAccessException`
  `InvocationTargetException`

### getContextSelector

public ContextSelector getContextSelector()